QGIS Application - Feature request #1122
Ability to merge features during vector editing
2008-06-11 02:52 PM - springmeyer -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 11182
Description

I have just finished a project using qgis and the digitizing tools to develop high resolution vector maps of plant associations. The data are
polygons that have adjacent sides and describe different coverages of landscape vegetation. Other polygon data of a similar nature is
used/created to describe watersheds or soil.

Overall the digitizing tools worked very well and | was impressed to be able to do the project almost entirely within ggis. Thanks to
mhugent!

However, one of the major features that would have made the task more feasible to do fully within qgis would be the ability to merge
selected polygons/features. To do this | resorted to using the uDig 'Merge Tool' and when that was buggy ultimately used postgis.

Attribute handling during a merge of several selected polygons can be handled in several ways and | think the uDig approach is
confusing. of note: Mapwindow also has this tool but keeps it simple for the user by taking the attributes from the first feature selected. If
this feature is implemented | think that the Mapwindow approach would be the most user-friendly.

History

#1 - 2008-09-29 12:58 PM - Jiirgen Fischer

see also #1331

#2 - 2008-10-14 12:52 AM - Tim Sutton

Changed to milestone 1.1 as 1.0 is in feature freeze.

#3 - 2009-06-13 02:13 PM - Marco Hugentobler
- Resolution set to fixed
- Status changed from Open to Closed

The merge tool is implemented in svn now
